
def parse_list(string_table, field):
    """
    Parse Powershell lists
    """
    first_line = False
    entries = {}
    content = {}
    for line in string_table:
        if len(line) == 1:
            continue
        key, value = line[0].strip(), line[1].strip()
        if not first_line:
            # Find first key, thats where we seperate
            first_line = key
        if key == first_line:
            if content:
                item = content[field]
                del content[field]
                if item:
                    entries[item] = content
            content = {}
        content[key] = value

    # We need to catch the last entry, after the loop ends, as well
    if content:
        item = content[field]
        del content[field]
        if item:
            entries[item] = content
    return entries
